Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWin32RenderWindowInteractor Class Reference

`#include <vtkWin32RenderWindowInteractor.h>`

Inheritance diagram for vtkWin32RenderWindowInteractor:

[legend]
Collaboration diagram for vtkWin32RenderWindowInteractor:

[legend]
List of all members.

## Detailed Description

implements Win32 specific functions

Date:
  2002/08/22 19:27:36

Revision:
  1.43

required by vtkRenderWindowInteractor.

By default the interactor installs a MessageProc callback which intercepts windows' messages to the window and controls interactions by routing them to the InteractoStyle classes. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessageProc to false. This provides a minimal "Mapped" mode of interaction

Events:
  vtkCommand::LeftButtonReleaseEvent vtkCommand::ExitEvent vtkCommand::RightButtonPressEvent vtkCommand::MiddleButtonReleaseEvent vtkCommand::MouseMoveEvent vtkCommand::EnterEvent vtkCommand::StartEvent vtkCommand::TimerEvent vtkCommand::MiddleButtonPressEvent vtkCommand::RightButtonReleaseEvent vtkCommand::ConfigureEvent vtkCommand::KeyPressEvent vtkCommand::CharEvent vtkCommand::LeaveEvent vtkCommand::LeftButtonPressEvent vtkCommand::KeyReleaseEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (50%)
  - Pan, Tony (29%)
  - Gobbi, David (6%)
  - Miller, Jim (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkWin32RenderWindowInteractor.h)`
  - .`cxx` (`/Rendering/vtkWin32RenderWindowInteractor.cxx)`

Examples:
  vtkWin32RenderWindowInteractor (Examples)

Definition at line 57 of file vtkWin32RenderWindowInteractor.h.

## Public Types
typedef vtkRenderWindowInteractor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Initialize ()
virtual void | Start ()
void | TerminateApp (void)
virtual void | ExitCallback ()
virtual void | Enable ()
virtual void | Disable ()
virtual void | SetInstallMessageProc (int)
virtual int | GetInstallMessageProc ()
virtual void | InstallMessageProcOn ()
virtual void | InstallMessageProcOff ()
int | CreateTimer (int timertype)
int | DestroyTimer (void)
virtual void | OnMouseMove (HWND wnd, UINT nFlags, int X, int Y)
virtual void | OnNCMouseMove (HWND wnd, UINT nFlags, int X, int Y)
virtual void | OnRButtonDown (HWND wnd, UINT nFlags, int X, int Y)
virtual void | OnRButtonUp (HWND wnd, UINT nFlags, int X, int Y)
virtual void | OnMButtonDown (HWND wnd, UINT nFlags, int X, int Y)
virtual void | OnMButtonUp (HWND wnd, UINT nFlags, int X, int Y)
virtual void | OnLButtonDown (HWND wnd, UINT nFlags, int X, int Y)
virtual void | OnLButtonUp (HWND wnd, UINT nFlags, int X, int Y)
virtual void | OnSize (HWND wnd, UINT nType, int X, int Y)
virtual void | OnTimer (HWND wnd, UINT nIDEvent)
virtual void | OnKeyDown (HWND wnd, UINT nChar, UINT nRepCnt, UINT nFlags)
virtual void | OnKeyUp (HWND wnd, UINT nChar, UINT nRepCnt, UINT nFlags)
virtual void | OnChar (HWND wnd, UINT nChar, UINT nRepCnt, UINT nFlags)
## Static Public Methods
vtkWin32RenderWindowInteractor * | New ()
int | IsTypeOf (const char *type)
vtkWin32RenderWindowInteractor * | SafeDownCast (vtkObject *o)
void | SetClassExitMethod (void(*f)(void *), void *arg)
void | SetClassExitMethodArgDelete (void(*f)(void *))
## Protected Methods
| vtkWin32RenderWindowInteractor ()
| ~vtkWin32RenderWindowInteractor ()
## Protected Attributes
HWND | WindowId
UINT | TimerId
WNDPROC | OldProc
int | InstallMessageProc
int | MouseInWindow
## Static Protected Attributes
void(* | ClassExitMethod )(void *)
void(* | ClassExitMethodArgDelete )(void *)
void * | ClassExitMethodArg
## Friends
VTK_RENDERING_EXPORT LRESULT CALLBACK | vtkHandleMessage (HWND hwnd, UINT uMsg, WPARAM w, LPARAM l)
VTK_RENDERING_EXPORT LRESULT CALLBACK | vtkHandleMessage2 (HWND hwnd, UINT uMsg, WPARAM w, LPARAM l, vtkWin32RenderWindowInteractor *me)

## Member Typedef Documentation

typedef vtkRenderWindowInteractor vtkWin32RenderWindowInteractor::Superclass

| Reimplemented from vtkRenderWindowInteractor. Definition at line 63 of file vtkWin32RenderWindowInteractor.h.

## Constructor & Destructor Documentation

vtkWin32RenderWindowInteractor::vtkWin32RenderWindowInteractor | ( |  | ) | `[protected]`

vtkWin32RenderWindowInteractor::~vtkWin32RenderWindowInteractor | ( |  | ) | `[protected]`

## Member Function Documentation

vtkWin32RenderWindowInteractor* vtkWin32RenderWindowInteractor::New | ( |  | ) | `[static]`

| Construct object so that light follows camera motion. Reimplemented from vtkRenderWindowInteractor.

virtual const char* vtkWin32RenderWindowInteractor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRenderWindowInteractor.

int vtkWin32RenderWindowInteractor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindowInteractor.

virtual int vtkWin32RenderWindowInteractor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindowInteractor.

vtkWin32RenderWindowInteractor* vtkWin32RenderWindowInteractor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRenderWindowInteractor.

void vtkWin32RenderWindowInteractor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkWin32RenderWindowInteractor::Initialize | ( |  | ) | `[virtual]`

| Initialize the event handler Reimplemented from vtkRenderWindowInteractor.

virtual void vtkWin32RenderWindowInteractor::Enable | ( |  | ) | `[virtual]`

| Enable/Disable interactions. By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkWin32RenderWindowInteractor::Disable | ( |  | ) | `[virtual]`

| Enable/Disable interactions. By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkWin32RenderWindowInteractor::Start | ( |  | ) | `[virtual]`

| This will start up the event loop and never return. If you call this method it will loop processing events until the application is exited. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkWin32RenderWindowInteractor::SetInstallMessageProc | ( | int |  | ) | `[virtual]`

| By default the interactor installs a MessageProc callback which intercepts windows messages to the window and controls interactions. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessgeProc to false.

virtual int vtkWin32RenderWindowInteractor::GetInstallMessageProc | ( |  | ) | `[virtual]`

| By default the interactor installs a MessageProc callback which intercepts windows messages to the window and controls interactions. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessgeProc to false.

virtual void vtkWin32RenderWindowInteractor::InstallMessageProcOn | ( |  | ) | `[virtual]`

| By default the interactor installs a MessageProc callback which intercepts windows messages to the window and controls interactions. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessgeProc to false.

virtual void vtkWin32RenderWindowInteractor::InstallMessageProcOff | ( |  | ) | `[virtual]`

| By default the interactor installs a MessageProc callback which intercepts windows messages to the window and controls interactions. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessgeProc to false.

void vtkWin32RenderWindowInteractor::TerminateApp | ( | void |  | ) | `[virtual]`

| Win32 specific application terminate, calls ClassExitMethod then calls PostQuitMessage(0) to terminate the application. An application can Specify ExitMethod for alternative behavior (i.e. suppression of keyboard exit) Reimplemented from vtkRenderWindowInteractor.

int vtkWin32RenderWindowInteractor::CreateTimer | ( | int | timertype | ) | `[virtual]`

| Win32 timer methods Reimplemented from vtkRenderWindowInteractor.

int vtkWin32RenderWindowInteractor::DestroyTimer | ( | void |  | ) | `[virtual]`

| Win32 timer methods Reimplemented from vtkRenderWindowInteractor.

virtual void vtkWin32RenderWindowInteractor::OnMouseMove | ( | HWND | wnd,
|  | UINT | nFlags,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnNCMouseMove | ( | HWND | wnd,
|  | UINT | nFlags,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnRButtonDown | ( | HWND | wnd,
|  | UINT | nFlags,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnRButtonUp | ( | HWND | wnd,
|  | UINT | nFlags,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnMButtonDown | ( | HWND | wnd,
|  | UINT | nFlags,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnMButtonUp | ( | HWND | wnd,
|  | UINT | nFlags,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnLButtonDown | ( | HWND | wnd,
|  | UINT | nFlags,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnLButtonUp | ( | HWND | wnd,
|  | UINT | nFlags,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnSize | ( | HWND | wnd,
|  | UINT | nType,
|  | int | X,
|  | int | Y
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnTimer | ( | HWND | wnd,
|  | UINT | nIDEvent
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnKeyDown | ( | HWND | wnd,
|  | UINT | nChar,
|  | UINT | nRepCnt,
|  | UINT | nFlags
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnKeyUp | ( | HWND | wnd,
|  | UINT | nChar,
|  | UINT | nRepCnt,
|  | UINT | nFlags
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

virtual void vtkWin32RenderWindowInteractor::OnChar | ( | HWND | wnd,
|  | UINT | nChar,
|  | UINT | nRepCnt,
|  | UINT | nFlags
| ) | `[virtual]`

| Various methods that a Win32 window can redirect to this class to be handled.

void vtkWin32RenderWindowInteractor::SetClassExitMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) | `[static]`

| Methods to set the default exit method for the class. This method is only used if no instance level ExitMethod has been defined. It is provided as a means to control how an interactor is exited given the various language bindings (tcl, Win32, etc.).

void vtkWin32RenderWindowInteractor::SetClassExitMethodArgDelete | ( | void(* | f)(void *) | ) | `[static]`

| Methods to set the default exit method for the class. This method is only used if no instance level ExitMethod has been defined. It is provided as a means to control how an interactor is exited given the various language bindings (tcl, Win32, etc.).

virtual void vtkWin32RenderWindowInteractor::ExitCallback | ( |  | ) | `[virtual]`

| These methods correspond to the the Exit, User and Pick callbacks. They allow for the Style to invoke them. Reimplemented from vtkRenderWindowInteractor.

## Friends And Related Function Documentation

VTK_RENDERING_EXPORT LRESULT CALLBACK vtkHandleMessage | ( | HWND | hwnd,
|  | UINT | uMsg,
|  | WPARAM | w,
|  | LPARAM | l
| ) | `[friend]`

VTK_RENDERING_EXPORT LRESULT CALLBACK vtkHandleMessage2 | ( | HWND | hwnd,
|  | UINT | uMsg,
|  | WPARAM | w,
|  | LPARAM | l,
|  | vtkWin32RenderWindowInteractor * | me
| ) | `[friend]`

## Member Data Documentation

HWND vtkWin32RenderWindowInteractor::WindowId`[protected]`

| Definition at line 149 of file vtkWin32RenderWindowInteractor.h.

UINT vtkWin32RenderWindowInteractor::TimerId`[protected]`

| Definition at line 150 of file vtkWin32RenderWindowInteractor.h.

WNDPROC vtkWin32RenderWindowInteractor::OldProc`[protected]`

| Definition at line 151 of file vtkWin32RenderWindowInteractor.h.

int vtkWin32RenderWindowInteractor::InstallMessageProc`[protected]`

| Definition at line 152 of file vtkWin32RenderWindowInteractor.h.

int vtkWin32RenderWindowInteractor::MouseInWindow`[protected]`

| Definition at line 154 of file vtkWin32RenderWindowInteractor.h.

void(* vtkWin32RenderWindowInteractor::ClassExitMethod)(void *)`[static, protected]`

| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. tcl, java, Win32)

void(* vtkWin32RenderWindowInteractor::ClassExitMethodArgDelete)(void *)`[static, protected]`

| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. tcl, java, Win32)

void* vtkWin32RenderWindowInteractor::ClassExitMethodArg`[static, protected]`

| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. tcl, java, Win32) Definition at line 163 of file vtkWin32RenderWindowInteractor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkWin32RenderWindowInteractor.h